package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

/**
 * 海康 业务
 * @author weiximei
 */
public interface IHKService {

    /**
     * 推送海康人员
     * @param appUserId
     * @return
     */
    ResponseBean pushPerson(String appUserId, Integer userVerifyId);

    /**
     * 下发门禁权限
     * @return
     */
    ResponseBean downloadAuthorityByDeviceUuids();

    /**
     * 异步反控开门 (远程开门(可视对讲，门口机))
     *
     * @param equipmentId 可视对讲设备id
     * @return
     */
    ResponseBean syncControl(UserElement userElement, Integer equipmentId);

}
