package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.community.huiju.model.TaFace;
import com.community.huiju.model.TpEquipment;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 人脸检测图片 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-16
 */
public interface TaFaceMapper extends BaseMapper<TaFace> {


    /**
     * 查看当前房产信息
     * @param userVerifyId
     * @return
     */
    TaFace getByUserVerifyId(@Param("userVerifyId") Integer userVerifyId);


    /**
     * 根据审核ID删除人脸信息
     * @param verifyId
     */
    void deleteFace(@Param("verifyId") Integer verifyId);

}
